Name:             apache-scout
Version:          1.2.6
Release:          8%{?dist}
Summary:          JSR 93 (JAXR) implementation
License:          ASL 2.0
URL:              http://juddi.apache.org/scout
# svn export http://svn.apache.org/repos/asf/juddi/scout/tags/scout-1.2.6/ apache-scout
# tar cafJ apache-scout-1.2.6.tar.xz apache-scout
Source0:          %{name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local

BuildRequires:    axis
BuildRequires:    mvn(axis:axis)
BuildRequires:    mvn(org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec)
BuildRequires:    mvn(org.apache.juddi:juddi-client)
BuildRequires:    mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.xml.registry:jboss-jaxr-api_1.0_spec)
BuildRequires:    geronimo-parent-poms
BuildRequires:    mvn(org.aspectj:aspectjweaver)
BuildRequires:    wsdl4j


%if 0
# test deps
BuildRequires:    mvn(axis:axis-jaxrpc)
BuildRequires:    mvn(axis:axis-saaj)
BuildRequires:    mvn(commons-discovery:commons-discovery)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j)
BuildRequires:    mvn(org.apache.derby:derby)
BuildRequires:    mvn(org.apache.juddi:juddi:2.0.1)
BuildRequires:    mvn(org.aspectj:aspectjrt)
BuildRequires:    mvn(org.aspectj:aspectjweaver)
%endif

%description
Apache Scout is an implementation of the JSR 93 Java API For XML Registries
(JAXR). It provides an implementation to access UDDI registries (particularly
Apache jUDDI) in a standard way.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%pom_remove_dep :geronimo-activation_1.1_spec
%pom_remove_dep :geronimo-jaxb_2.1_spec
%pom_add_dep org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec:1.0.4.Final
%pom_remove_dep :geronimo-jaxr_1.0_spec
%pom_add_dep org.jboss.spec.javax.xml.registry:jboss-jaxr-api_1.0_spec:1.0.2.Final
%pom_remove_dep :geronimo-stax-api_1.0_spec
%pom_add_dep org.codehaus.woodstox:stax2-api:3.1.1

# fedora aspectjweaver package provides aspectjrt
%pom_remove_dep org.aspectj:aspectjrt
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'aspectjweaver' ]/pom:groupId" org.aspectj

sed -i 's/\r//' README

# build fix for apache juddi 3.1.5
sed -i "s|UDDIClerkManager|UDDIClient|" \
 src/main/java/org/apache/ws/scout/registry/ConnectionImpl.java

%build

%mvn_file :scout %{name}
# Skipped because of many test resources not packaged
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Thu Aug 08 2013 gil cattaneo <puntogil@libero.it> 1.2.6-8
- fix rhbz#991978
- build fix for apache juddi >= 3.1.5
- switch to XMvn
- resolve some rpmlint problems
- install NOTICE file in javadoc sub package
- use pom macros
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.6-6
- Added geronimo-parent-poms BR to fix the build

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.2.6-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 24 2012 Marek Goldmann <mgoldman@redhat.com> 1.2.6-2
- Changed description

* Thu May 17 2012 Marek Goldmann <mgoldman@redhat.com> 1.2.6-1
- Initial packaging

